# 👁️ Eye - Universal Filesystem Watcher

Lightweight directory monitor with automatic rebuild and restart functionality for any project type

## Key Features

- 🕵️‍♂️ **Universal Monitoring**: Tracks changes directory
- 🔧 **Configurable Builds**: Works with any build system (Make, npm, go, etc.)
- 📦 **Zero Dependencies**: Pure Bash
- 🎨 **Clean Output**: Color-coded messages with EYE prefix

## Quick Start

1. Place script in your project root
2. Configure the script:
```bash
DURATION=5               # Delay between checks
WATCH_DIR="src/"         # Directory to watch
BINARY_PATH="./app"      # Output path
BUILD_CMD="make build"   # Your custom build command
```
3. Run it:
./eye.sh